## shim-signed 1.33.1~17.10.1

=== debian/changelog ===
shim-signed (1.33.1~17.10.1) artful; urgency=medium

  * Backport shim-signed 1.33.1 to 17.10. (LP: #1708245)
  * debian/control: bump the Depends on grub2-common since that's needed to
    install with the new updated EFI binaries filenames.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 11 Jan 2018 15:49:09 -0500
