=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt
+Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
 Standards-Version: 3.9.4
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.167~16.04.2+2.04-1ubuntu44), grub2-common (>= 2.02~beta2-36ubuntu3.31), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2~), sbsigntool (>= 0.6-0ubuntu10.1)
-Breaks: dkms (<< 2.2.0.3-2ubuntu11.6), shim (<< 15.3)
-Replaces: shim (<< 15.3)
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.02~beta3-4ubuntu7.1), mokutil
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
