## shim-signed 1.34.9

=== debian/changelog ===
shim-signed (1.34.9) bionic; urgency=medium

  * debian/shim-signed.postinst: check for MOK existence rather than ignoring
    failures in the trigger. (LP: #1766627)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 24 Apr 2018 13:24:24 -0400

shim-signed (1.34.8) bionic; urgency=medium

  * debian/shim-signed.postinst: shim-signed's trigger to enroll a new MOK
    should not fail the upgrade if there was no MOK to enroll. (LP: #1766627)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 24 Apr 2018 12:31:25 -0400

shim-signed (1.34.7) bionic; urgency=medium

  * debian/shim-signed.postinst: it's not guaranteed that all linux-image
    packages currently installed have dkms modules built for them.
    Gracefully handle any failures in the path for signing existing dkms
    modules on upgrade due to absent modules.  LP: #1766391.
  * Add a dependency on sbsigntool for kmodsign, which we use directly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 23 Apr 2018 21:47:50 -0700

shim-signed (1.34.6) bionic; urgency=medium

  * debian/shim-signed.postinst: bump lower version for batch-signing module
    to 1.34.6, to make sure everything is properly signed if people got one
    of the previous shim-signed packages.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Apr 2018 19:52:19 -0400

shim-signed (1.34.5) bionic; urgency=medium

  * Don't try to save new dkms list if we're still dealing with password
    validation for enrollment. (LP: #1766312)
  * Specify kernel version when installing/uninstalling modules while doing
    batch signing on upgrade.
  * Do a better job at finding kernel modules from DKMS if they are in sub-
    directories.
  * Don't prompt if DKMS is installed but there are no DKMS-built modules
    installed. (LP: #1766261)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Apr 2018 15:29:44 -0400

shim-signed (1.34.4) bionic; urgency=medium

  * Handle the case that there are no kernel modules available for a given
    dkms package.  This probably indicates there is a problem with the dkms
    module's installation, but that should not cause this package's
    installation to fail.  LP: #1765954.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Apr 2018 10:13:41 -0700

shim-signed (1.34.3) bionic; urgency=medium

  * Only take the first 31 bytes of the hostname.  LP: #1765905.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Apr 2018 01:14:12 -0700

shim-signed (1.34.2) bionic; urgency=medium

  * Handle the case of multiple .kos per dkms module and .kos whose name
    does not match the dkms package name.  LP: #1765647.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Apr 2018 01:01:56 -0700

shim-signed (1.34.1) bionic; urgency=medium

  * update-secureboot-policy: don't skip creating a MOK if Secure Boot is not
    enabled in firmware, but do guard against prompting users on a system that
    doesn't have efivars mounted or where SB is disabled. (LP: #1765515)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 19 Apr 2018 17:56:50 -0400

shim-signed (1.34) bionic; urgency=medium

  * update-secureboot-policy: (LP: #1748983)
    - Factor out validate_password() and clear_passwords() for reuse.
    - Add --new-key option to generate a self-signed MOK.
    - Add --enroll-key option to allow enrolling a new MOK in shim.
    - Drop --enable and --disable options; users should call mokutil directly
      instead.
  * debian/shim-signed.postinst:
    - When triggered, explicitly try to enroll the available MOK.
  * debian/shim-signed.install, openssl.cnf: Install some default configuration
    for creating our self-signed key.
  * debian/shim-signed.dirs: make sure we have a directory where to put a MOK.
  * debian/templates: update templates for update-secureboot-policy changes.
  * debian/control: add versioned Breaks: for dkms.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 18 Apr 2018 22:35:46 -0400
