=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,10 @@
 
 VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim)
-export SHIM_VERSION
 
 ifeq ($(DEB_TARGET_ARCH),amd64)
 export EFI_ARCH := X64
 endif
-export EFI_ARCH_LOWER := $(shell echo $(EFI_ARCH) | tr A-Z a-z)
-export SHIM_BASE = shim$(EFI_ARCH_LOWER).efi
-export FB_BASE = fb$(EFI_ARCH_LOWER).efi
-export MM_BASE = mm$(EFI_ARCH_LOWER).efi
 
 %:
 	dh $@
