## shim-signed 1.36

=== debian/changelog ===
shim-signed (1.36) unstable; urgency=medium

  * Add defensive code around calls to db_get. Don't fail if they
    return errors. Closes: #988114
  * Update build-dep on shim-unsigned to use 15.4-5

 -- Steve McIntyre <93sam@debian.org>  Thu, 06 May 2021 00:50:02 +0100

shim-signed (1.35) unstable; urgency=medium

  * Add explicit dependency from shim-signed to shim-signed-common.
    Also check if we have update-secureboot-policy available before we
    try to call it. Closes: #988047, #988056
  * If we're not running on an EFI system then exit cleanly in
    postinst and postrm. We have nothing to do here. Closes: #988059
  * Fix the old doc links for shim-signed. Closes: #988057
  * Update build-dep on shim-unsigned

 -- Steve McIntyre <93sam@debian.org>  Tue, 04 May 2021 18:47:42 +0100

shim-signed (1.34) unstable; urgency=medium

  * Build against new signed binaries corresponding to 15.4-2
    Closes: #971129, #987991
  * ***WARNING***: arm64 shim is no longer signed, due to major
    toolchain problems. See NEWS.Debian for more
    information. Separated out the binary package for arm64 to allow
    for a different description, and tweaked the Makefile too.
  * Update build-deps and Standards-Version
  * Tweak Makefile setup - do our verification testing chained from
    the "all" target, not "clean". Closes: #936002
  * Don't include apport stuff in the Debian build, it's not useful.
  * Tweak dh_install* usage for docs.
  * Add Spanish translation for debconf templates, thanks to
    Camaleón. Closes: #987339
  * Multiple bugfixes in postinst and postrm handling:
    + Call grub-install using the correct grub target in postinst
    + Also call grub-install using the correct grub target in the
      postrm, and clean up the shim binary from the ESP
    + In each case, also check and use the correct configured options
      for grub-install
    + Move the postinst grub-install code from the -common package to
      the arch-specific packages, to make sure it's always called when
      needed.
    + Only run grub-install etc. if we're actually on an EFI-booted
      system.

 -- Steve McIntyre <93sam@debian.org>  Mon, 03 May 2021 20:13:04 +0100
