## shim-signed 1.36.1

=== debian/changelog ===
shim-signed (1.36.1) unstable; urgency=medium

  * update

 -- Debian EFI Team <debian-efi@lists.debian.org>  Mon, 28 Jun 2021 16:58:26 +0800
