=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 13),
+Build-Depends: debhelper (>= 12),
  shim-unsigned (= 15.4-5),
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
@@ -41,8 +41,9 @@
 Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}, mokutil
-Replaces: shim-signed (<< 1.32+15+1533136590.3beb971-5)
-Breaks: shim-signed (<< 1.32+15+1533136590.3beb971-5)
+Replaces: shim-signed (<< 1.34.is.1.23+0.9+1474479173.6c180c6-1deepin)
+Breaks: shim-signed (<< 1.34.is.1.23+0.9+1474479173.6c180c6-1deepin)
+Conflicts: shim-signed (= 1.34.is.1.23+0.9+1474479173.6c180c6-1deepin) 
 Description: Secure Boot chain-loading bootloader (common helper scripts)
  This package provides a minimalist boot loader which allows verifying
  signatures of other UEFI binaries against either the Secure Boot DB/DBX or
