## shim-signed 1.36.5

=== debian/changelog ===
shim-signed (1.36.5) unstable; urgency=medium

  * add shimaa64.efi.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 25 May 2023 16:33:36 +0800

shim-signed (1.36.4) unstable; urgency=medium

  * Non-maintainer upload.

 -- deepin <lichenggang@uniontech.com>  Tue, 08 Nov 2022 15:25:49 +0800

shim-signed (1.36.3) unstable; urgency=medium

  * update .

 -- deepin <lichenggang@uniontech.com>  Mon, 28 Jun 2021 16:40:44 +0800
