=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,11 @@
 include /usr/share/dpkg/architecture.mk
 
 ifeq ($(DEB_HOST_ARCH),amd64)
+$(shell rm build/shimaa64*)
 export EFI_ARCH := x64
 endif
 ifeq ($(DEB_HOST_ARCH),arm64)
+$(shell rm build/shimx64*)
 export EFI_ARCH := aa64
 endif
 ifeq ($(DEB_HOST_ARCH),i386)
