## shim-signed 1.36.11

=== debian/changelog ===
shim-signed (1.36.11) unstable; urgency=medium

  * Non-maintainer upload.

 -- lichenggang <lichenggang@deepin.org>  Wed, 21 Jan 2026 10:17:22 +0800

shim-signed (1.36.10) unstable; urgency=medium

  * update shimaa64.efi for 15.8 and uos signed

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 19 Jan 2026 13:54:44 +0800

shim-signed (1.36.9) unstable; urgency=medium

  * support loongarch arch
  * add shimloongarch64.efi

 -- zhouzilong <zhouzilong@uniontech.com>  Tue, 06 Jan 2026 18:37:29 +0800

shim-signed (1.36.8) unstable; urgency=medium

  * add UOS cert sign for shimx64.efi

 -- zhouzilong <zhouzilong@uniontech.com>  Tue, 06 Jan 2026 18:08:39 +0800
