=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
+Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt
 Standards-Version: 3.9.4
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 
 Package: shim-signed
-Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-signed, grub2-common (>= 2.02-2ubuntu8.1), mokutil, sbsigntool
-Breaks: grub-efi-amd64-signed (<< 1.93.7)
+Architecture: amd64 arm64
+Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.167~) | grub-efi-arm64-signed (>= 1.167~), grub2-common (>= 2.02-2ubuntu8.23), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2~), sbsigntool
+Breaks: shim (<< 15.3)
+Replaces: shim (<< 15.3)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
+XB-Important: yes
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying
  signatures of other UEFI binaries against either the Secure Boot DB/DBX or
