## shim-signed 1.37~18.04.13

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,9 @@
 	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE).signed
 
 	# Copy external & dualsigned shims
-	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed
+	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed.latest
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned
+	cp external-shim$(EFI_ARCH_LOWER).efi.previous build/$(SHIM_BASE).signed.previous
 
 	# Move archive signed fb*.efi & mm*.efi
 	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
@@ -26,13 +27,16 @@
 
 check:
 	# Verify all signatures
-	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed
+	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed.latest
+	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed.previous
 	sbverify --verbose --cert external.pem build/$(SHIM_BASE).dualsigned
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(FB_BASE)
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(MM_BASE)
 	# verify sbattach binary output matches the externally-signed binary
-	cmp external-shim$(EFI_ARCH_LOWER).efi build/$(SHIM_BASE).signed
+	cmp external-shim$(EFI_ARCH_LOWER).efi build/$(SHIM_BASE).signed.latest
+	# Check that we are not signed with revoked keys
+	./is-not-revoked  build/$(FB_BASE) build/$(MM_BASE) build/$(SHIM_BASE).dualsigned
 
 clean:
 	rm -rf build $(SHIM_VERSION) external-$(EFI_ARCH_LOWER).p7c
