=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 Package: shim-signed
 Architecture: amd64 arm64
-Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.167~) | grub-efi-arm64-signed (>= 1.167~), grub2-common (>= 2.02-2ubuntu8.23), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2~), sbsigntool
-Breaks: shim (<< 15.3)
+Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.191~) | grub-efi-arm64-signed (>= 1.191~) | base-files (<< 12.3), grub-efi-amd64-signed (>= 1.187.2~) | grub-efi-arm64-signed (>= 1.187.2~), grub2-common (>= 2.02-2ubuntu8.23), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2~), sbsigntool
+Breaks: shim (<< 15.3), fwupd-signed (<< 1.44.1~)
 Replaces: shim (<< 15.3)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
