## shim-signed 1.37

=== debian/changelog ===
shim-signed (1.37) unstable; urgency=medium

  * Build against new signed binaries corresponding to 15.4-6
    Pulls multiple bugfixes in for the signed version:
    + Add arm64 patch to tweak section layout and stop crashing
      problems. Upstream issue #371. (#990082, #990190)
    + In insecure mode, don't abort if we can't create the MokListXRT
      variable. Upstream issue #372. (#989962, #990158)
  * Update build-dep on shim-unsigned to use 15.4-6

 -- Steve McIntyre <93sam@debian.org>  Tue, 29 Jun 2021 09:26:20 +0100
