## shim-signed 1.38~1+deb10u1

=== debian/changelog ===
shim-signed (1.38~1+deb10u1) buster; urgency=medium

  * Tweak how we call grub-install; don't abort on error. Not ideal
    behaviour either, but don't break upgrades. Copy the behaviour
    from the grub packages here. Bug #990984
  * Update build-dep on shim-unsigned to use 15.4-7~deb10u1

 -- Steve McIntyre <93sam@debian.org>  Tue, 13 Jul 2021 00:28:10 +0100

shim-signed (1.37~1+deb10u1) buster; urgency=medium

  * Buster update: build against new signed binaries corresponding to
    15.4-6~deb10u1. Pulls multiple bugfixes in for the signed version:
    + Add arm64 patch to tweak section layout and stop crashing
      problems. Upstream issue #371. (#990082, #990190)
    + In insecure mode, don't abort if we can't create the MokListXRT
      variable. Upstream issue #372. (#989962, #990158)
  * Update build-dep on shim-unsigned to use 15.4-6~deb10u1
  * Switch arm64 back to using a current unsigned build (undo changes
    in 1.36~1+deb10u2)

 -- Steve McIntyre <93sam@debian.org>  Tue, 29 Jun 2021 09:39:32 +0100
